std::char_traits< wchar_t > Struct Reference

`#include <char_traits.h>`

## Public Types

typedef wchar_t | char_type
using | comparison_category = strong_ordering
typedef wint_t | int_type
typedef streamoff | off_type
typedef wstreampos | pos_type
typedef mbstate_t | state_type

## Static Public Member Functions

static constexpr void | assign (char_type &__c1, const char_type &__c2) noexcept
static constexpr char_type * | assign (char_type *__s, size_t __n, char_type __a)
static constexpr int | compare (const char_type *__s1, const char_type *__s2, size_t __n)
static constexpr char_type * | copy (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr int_type | eof () noexcept
static constexpr bool | eq (const char_type &__c1, const char_type &__c2) noexcept
static constexpr bool | eq_int_type (const int_type &__c1, const int_type &__c2) noexcept
static constexpr const char_type * | find (const char_type *__s, size_t __n, const char_type &__a)
static constexpr size_t | length (const char_type *__s)
static constexpr bool | lt (const char_type &__c1, const char_type &__c2) noexcept
static constexpr char_type * | move (char_type *__s1, const char_type *__s2, size_t __n)
static constexpr int_type | not_eof (const int_type &__c) noexcept
static constexpr char_type | to_char_type (const int_type &__c) noexcept
static constexpr int_type | to_int_type (const char_type &__c) noexcept

## Detailed Description

21.1.3.2 char_traits specializations

Definition at line 471 of file char_traits.h.

## Member Typedef Documentation

## char_type

typedef wchar_t std::char_traits< wchar_t >::char_type

Definition at line 473 of file char_traits.h.

## comparison_category

using std::char_traits< wchar_t >::comparison_category = strong_ordering

Definition at line 481 of file char_traits.h.

## int_type

typedef wint_t std::char_traits< wchar_t >::int_type

Definition at line 474 of file char_traits.h.

## off_type

typedef streamoff std::char_traits< wchar_t >::off_type

Definition at line 476 of file char_traits.h.

## pos_type

typedef wstreampos std::char_traits< wchar_t >::pos_type

Definition at line 477 of file char_traits.h.

## state_type

typedef mbstate_t std::char_traits< wchar_t >::state_type

Definition at line 478 of file char_traits.h.

## Member Function Documentation

## assign() [1/2]

static constexpr void std::char_traits< wchar_t >::assign | ( | char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 485 of file char_traits.h.

## assign() [2/2]

static constexpr char_type * std::char_traits< wchar_t >::assign | ( | char_type * | __s,
|  | size_t | __n,
|  | char_type | __a
| ) |  |

inline static constexpr

Definition at line 562 of file char_traits.h.

## compare()

static constexpr int std::char_traits< wchar_t >::compare | ( | const char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n
| ) |  |

inline static constexpr

Definition at line 504 of file char_traits.h.

## copy()

static constexpr char_type * std::char_traits< wchar_t >::copy | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n
| ) |  |

inline static constexpr

Definition at line 550 of file char_traits.h.

## eof()

static constexpr int_type std::char_traits< wchar_t >::eof | ( |  | ) |

inline static constexpr noexcept

Definition at line 587 of file char_traits.h.

## eq()

static constexpr bool std::char_traits< wchar_t >::eq | ( | const char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 496 of file char_traits.h.

## eq_int_type()

static constexpr bool std::char_traits< wchar_t >::eq_int_type | ( | const int_type & | __c1,
|  | const int_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 582 of file char_traits.h.

## find()

static constexpr const char_type * std::char_traits< wchar_t >::find | ( | const char_type * | __s,
|  | size_t | __n,
|  | const char_type & | __a
| ) |  |

inline static constexpr

Definition at line 526 of file char_traits.h.

## length()

static constexpr size_t std::char_traits< wchar_t >::length | ( | const char_type * | __s | ) |

inline static constexpr

Definition at line 516 of file char_traits.h.

## lt()

static constexpr bool std::char_traits< wchar_t >::lt | ( | const char_type & | __c1,
|  | const char_type & | __c2
| ) |  |

inline static constexpr noexcept

Definition at line 500 of file char_traits.h.

## move()

static constexpr char_type * std::char_traits< wchar_t >::move | ( | char_type * | __s1,
|  | const char_type * | __s2,
|  | size_t | __n
| ) |  |

inline static constexpr

Definition at line 538 of file char_traits.h.

## not_eof()

static constexpr int_type std::char_traits< wchar_t >::not_eof | ( | const int_type & | __c | ) |

inline static constexpr noexcept

Definition at line 591 of file char_traits.h.

## to_char_type()

static constexpr char_type std::char_traits< wchar_t >::to_char_type | ( | const int_type & | __c | ) |

inline static constexpr noexcept

Definition at line 574 of file char_traits.h.

## to_int_type()

static constexpr int_type std::char_traits< wchar_t >::to_int_type | ( | const char_type & | __c | ) |

inline static constexpr noexcept

Definition at line 578 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h